/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.ezweb;

import jp.sourceforge.livez.UserAgent;

/**
 * EZweb 端末の HTTP ユーザエージェント情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface EZwebUserAgent extends UserAgent {

	/**
	 * デバイスタイプ(デバイスID)を返します。
	 * 
	 * @return デバイスタイプ(デバイスID)
	 */
	public String getId();

	/**
	 * WAP2 (XHTML) 対応状況を返します。
	 * 
	 * @return WAP2 (XHTML) 対応状況
	 */
	public boolean isWap2();

	/**
	 * Web ブラウザのバージョン情報を返します。
	 * 
	 * @return Web ブラウザのバージョン情報
	 */
	public String getBrowserVersion();

	/**
	 * サーバ名を返します。
	 * 
	 * @return サーバ名。
	 */
	public String getServerName();

	/**
	 * サーバのバージョン情報を返します。
	 * 
	 * @return サーバのバージョン情報。
	 */
	public String getServerVersion();

}
